Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_EventChannel Class Reference

The CosEventChannelAdmin::EventChannel implementation. More...

`#include <CEC_EventChannel.h>`

Inheritance diagram for TAO_CEC_EventChannel

[legend]
Collaboration diagram for TAO_CEC_EventChannel:

[legend]
List of all members.

## Public Methods
| TAO_CEC_EventChannel (const TAO_CEC_EventChannel_Attributes& attributes, TAO_CEC_Factory* factory = 0, int own_factory = 0)
virtual | ~TAO_CEC_EventChannel (void)
| destructor.
virtual void | activate (CORBA::Environment &env = TAO_default_environment ())
| Start the internal threads (if any), etc. After this call the EC can be used.
virtual void | shutdown (CORBA::Environment &env = TAO_default_environment ())
| Shutdown any internal threads, cleanup all the internal structures, flush all the messages, etc.
TAO_CEC_Dispatching* | dispatching (void) const
| Access the dispatching module....
TAO_CEC_ConsumerAdmin* | consumer_admin (void) const
| Access the consumer admin implementation.
TAO_CEC_SupplierAdmin* | supplier_admin (void) const
| Access the supplier admin implementation.
TAO_CEC_ConsumerControl* | consumer_control (void) const
| Access the consumer control strategy.
TAO_CEC_SupplierControl* | supplier_control (void) const
| Access the supplier control strategy.
void | create_proxy (TAO_CEC_ProxyPushSupplier*&)
| Create and destroy a ProxyPushSupplier.
void | destroy_proxy (TAO_CEC_ProxyPushSupplier*)
void | create_proxy (TAO_CEC_ProxyPullSupplier*&)
| Create and destroy a ProxyPullSupplier.
void | destroy_proxy (TAO_CEC_ProxyPullSupplier*)
void | create_proxy (TAO_CEC_ProxyPushConsumer*&)
| Create and destroy a ProxyPushConsumer.
void | destroy_proxy (TAO_CEC_ProxyPushConsumer*)
void | create_proxy (TAO_CEC_ProxyPullConsumer*&)
| Create and destroy a ProxyPushConsumer.
void | destroy_proxy (TAO_CEC_ProxyPullConsumer*)
void | create_proxy_collection (TAO_CEC_ProxyPushSupplier_Collection*&)
| Create and destroy a the collections used to store Proxy*Suppliers.
void | destroy_proxy_collection (TAO_CEC_ProxyPushSupplier_Collection*)
void | create_proxy_collection (TAO_CEC_ProxyPullSupplier_Collection*&)
void | destroy_proxy_collection (TAO_CEC_ProxyPullSupplier_Collection*)
void | create_proxy_collection (TAO_CEC_ProxyPushConsumer_Collection*&)
| Create and destroy a the collections used to store Proxy*Consumers.
void | destroy_proxy_collection (TAO_CEC_ProxyPushConsumer_Collection*)
void | create_proxy_collection (TAO_CEC_ProxyPullConsumer_Collection*&)
void | destroy_proxy_collection (TAO_CEC_ProxyPullConsumer_Collection*)
PortableServer::POA_ptr | supplier_poa (void)
| Access the supplier and consumer POAs from the factory.
PortableServer::POA_ptr | consumer_poa (void)
ACE_Lock* | create_consumer_lock (void)
| Locking strategies for the ProxyPushConsumer and ProxyPushSupplier objects.
void | destroy_consumer_lock (ACE_Lock*)
ACE_Lock* | create_supplier_lock (void)
void | destroy_supplier_lock (ACE_Lock*)
virtual void | connected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
| Used to inform the EC that a Consumer has connected or disconnected from it.
virtual void | reconnected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
virtual void | connected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | reconnected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | connected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
| Used to inform the EC that a Supplier has connected or disconnected from it.
virtual void | reconnected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
virtual void | connected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
virtual void | reconnected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
int | consumer_reconnect (void) const
| Can the consumers reconnect to the EC?
int | supplier_reconnect (void) const
| Can the suppliers reconnect to the EC?
int | disconnect_callbacks (void) const
| Should we send callback disconnect messages when a proxy is disconnected by the client.
int | busy_hwm (void) const
| Control the concurrency of the delayed connect/disconnect operations.
int | max_write_delay (void) const

## Detailed Description

The CosEventChannelAdmin::EventChannel implementation.

This class is the Mediator between all the classes in the EC implementation, its main task is to redirect the messages to the right components, to hold and manage the lifetime of the long lived objects (Timer_Module, SupplierAdmin, ConsumerAdmin and Dispatching) and to provide a simpler interface to the CEC_Factory.

## Constructor & Destructor Documentation

TAO_CEC_EventChannel::TAO_CEC_EventChannel ( | const TAO_CEC_EventChannel_Attributes & attributes,
| TAO_CEC_Factory * factory = 0,
| int own_factory = 0 )`[inline]`

| constructor If <own_factory> is not 0 it assumes ownership of the factory. If the factory is <nil> it uses the Service_Configurator to load the Factory, if not found it uses TAO_CEC_Default_Resource_Factory

TAO_CEC_EventChannel::~TAO_CEC_EventChannel ( | void )`[virtual]`

| destructor.

## Member Function Documentation

void TAO_CEC_EventChannel::activate ( | CORBA::Environment & env = TAO_default_environment () )`[virtual]`

| Start the internal threads (if any), etc. After this call the EC can be used.

ACE_INLINE int TAO_CEC_EventChannel::busy_hwm ( | void ) const

| Control the concurrency of the delayed connect/disconnect operations.

void TAO_CEC_EventChannel::connected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::connected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Used to inform the EC that a Supplier has connected or disconnected from it.

void TAO_CEC_EventChannel::connected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::connected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Used to inform the EC that a Consumer has connected or disconnected from it.

ACE_INLINE TAO_CEC_ConsumerAdmin * TAO_CEC_EventChannel::consumer_admin ( | void ) const

| Access the consumer admin implementation.

ACE_INLINE TAO_CEC_ConsumerControl * TAO_CEC_EventChannel::consumer_control ( | void ) const

| Access the consumer control strategy.

ACE_INLINE PortableServer::POA_ptr TAO_CEC_EventChannel::consumer_poa ( | void )

ACE_INLINE int TAO_CEC_EventChannel::consumer_reconnect ( | void ) const

| Can the consumers reconnect to the EC?

ACE_INLINE ACE_Lock * TAO_CEC_EventChannel::create_consumer_lock ( | void )

| Locking strategies for the ProxyPushConsumer and ProxyPushSupplier objects.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy ( | TAO_CEC_ProxyPullConsumer *& x )

| Create and destroy a ProxyPushConsumer.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy ( | TAO_CEC_ProxyPushConsumer *& x )

| Create and destroy a ProxyPushConsumer.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy ( | TAO_CEC_ProxyPullSupplier *& x )

| Create and destroy a ProxyPullSupplier.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy ( | TAO_CEC_ProxyPushSupplier *& x )

| Create and destroy a ProxyPushSupplier.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy_collection ( | TAO_CEC_ProxyPullConsumer_Collection *& x )

ACE_INLINE void TAO_CEC_EventChannel::create_proxy_collection ( | TAO_CEC_ProxyPushConsumer_Collection *& x )

| Create and destroy a the collections used to store Proxy*Consumers.

ACE_INLINE void TAO_CEC_EventChannel::create_proxy_collection ( | TAO_CEC_ProxyPullSupplier_Collection *& x )

ACE_INLINE void TAO_CEC_EventChannel::create_proxy_collection ( | TAO_CEC_ProxyPushSupplier_Collection *& x )

| Create and destroy a the collections used to store Proxy*Suppliers.

ACE_INLINE ACE_Lock * TAO_CEC_EventChannel::create_supplier_lock ( | void )

ACE_INLINE void TAO_CEC_EventChannel::destroy_consumer_lock ( | ACE_Lock * x )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy ( | TAO_CEC_ProxyPullConsumer * consumer )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy ( | TAO_CEC_ProxyPushConsumer * consumer )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy ( | TAO_CEC_ProxyPullSupplier * supplier )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy ( | TAO_CEC_ProxyPushSupplier * supplier )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy_collection ( | TAO_CEC_ProxyPullConsumer_Collection * x )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy_collection ( | TAO_CEC_ProxyPushConsumer_Collection * x )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy_collection ( | TAO_CEC_ProxyPullSupplier_Collection * x )

ACE_INLINE void TAO_CEC_EventChannel::destroy_proxy_collection ( | TAO_CEC_ProxyPushSupplier_Collection * x )

ACE_INLINE void TAO_CEC_EventChannel::destroy_supplier_lock ( | ACE_Lock * x )

ACE_INLINE int TAO_CEC_EventChannel::disconnect_callbacks ( | void ) const

| Should we send callback disconnect messages when a proxy is disconnected by the client.

void TAO_CEC_EventChannel::disconnected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::disconnected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::disconnected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::disconnected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

ACE_INLINE TAO_CEC_Dispatching * TAO_CEC_EventChannel::dispatching ( | void ) const

| Access the dispatching module....

ACE_INLINE int TAO_CEC_EventChannel::max_write_delay ( | void ) const

void TAO_CEC_EventChannel::reconnected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::reconnected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::reconnected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::reconnected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_EventChannel::shutdown ( | CORBA::Environment & env = TAO_default_environment () )`[virtual]`

| Shutdown any internal threads, cleanup all the internal structures, flush all the messages, etc.

ACE_INLINE TAO_CEC_SupplierAdmin * TAO_CEC_EventChannel::supplier_admin ( | void ) const

| Access the supplier admin implementation.

ACE_INLINE TAO_CEC_SupplierControl * TAO_CEC_EventChannel::supplier_control ( | void ) const

| Access the supplier control strategy.

ACE_INLINE PortableServer::POA_ptr TAO_CEC_EventChannel::supplier_poa ( | void )

| Access the supplier and consumer POAs from the factory.

ACE_INLINE int TAO_CEC_EventChannel::supplier_reconnect ( | void ) const

| Can the suppliers reconnect to the EC?

The documentation for this class was generated from the following files:

- CEC_EventChannel.h
- CEC_EventChannel.cpp
- CEC_EventChannel.i